/*
Theme Name: TexasWholeSale
Description: Child Theme of the Zilly
Version: 1.0
Template: zilly
Text Domain: zilly
Tags: theme-options, featured-images, post-formats, one-column, two-columns, right-sidebar, custom-background, custom-header, editor-style, sticky-post, threaded-comments, translation-ready
*/
:root {
    --zilly-light-color: #C02334;
    --zilly-rating-color: #222F63;
}
#order_comments_field{
    display: none;
}
.woocommerce-billing-fields {
    display: none;
}

.woocommerce-checkout #place_order {
    display: none;
}

.woocommerce-form-coupon-toggle{
    display: none;
}

.form-group {
    margin-bottom: 1.5rem; /* Space between form groups */
}
.woocommerce-terms-and-conditions-wrapper{
    display: none;
}
.custom-home-quantity-box{
    text-align: center;
    margin-bottom: 2%;
}
.custom-home-quantity-box button {
    font-size: 16px;
    background-color: #eee;
    border: 1px solid #ccc;
    border-radius: 5px;
    color: #3d3d3d;
    cursor: pointer;
}
.home-quantity-box{
    margin-left: 1%;
    margin-right: 1%;
}
.footer-content-area ul.menu li a{
	padding-left:15px;
}

.footer-content-area ul.menu li a::before{
	font-family: "radius-zilly-font";
    position: absolute;
    content: '\e817';
    left: 0;
    width: 14px !important;
    height: 24px !important;
    opacity: 1 !important;
    visibility: visible !important;
    background-color: transparent !important;
    transition: all 0.21s ease-in-out;
	color: #bf1f32;
}
.footer-content-area ul.menu li a:hover::before{
	color:#fff;
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
.user-profile-picture img {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    border: 2px solid #ccc;
    object-fit: cover; 
}
.not-logged-in-user .woocommerce-Price-amount{
    display: none !important;
}
.not-logged-in-user .login-to-see-price {
    font-size: 16px;
    color: #FF0000;
}
.not-logged-in-user .rtsb-add-to-cart-btn{
    display: none !important;
}
img.brand_image {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 70%;
}
.custom-woocommerce-login-page .woocommerce{
    width: 50%;
    margin: 0 auto;
    padding: 20px;
    box-sizing: border-box;
}
.not-logged-in-user .woocommerce-account .woocommerce-form-login__submit,
.custom-woocommerce-form-register{
    background-color: #C02334 !important;
    border-radius: unset !important;
}
.custom-link-after-login a:hover,
a:hover{color:#222F63}
.not-logged-in-user .woocommerce-account .woocommerce-form-login__submit:hover,.custom-woocommerce-form-register:hover,
.woocommerce button.button:hover {
    background-color: #222F63 !important;
    color: #fff;
}
.not-logged-in-user .woocommerce-account .woocommerce-form__label-for-checkbox{
    display: block !important;
    margin-left: 1%;
    margin-bottom: 1%;
}
.not-logged-in-user .woocommerce-account .lost_password a{
    color: #161925 !important;
}

/* Wishlist page */
.rtsb-wl-product-compare button{
    color: var(--zilly-primary-color);
    text-decoration: none;
    background: var(--zilly-primary-color);
    color: var(--zilly-light-color);
    border-radius: 30px;
    font-size: 15px;
    font-weight: 500;
    padding: 15px 20px;
    letter-spacing: 0.16px;
    line-height: 1;
}

.rtsb-wl-product-compare button:hover{
    background: #13644d;
}

button.remove-from-wishlist-ajax {
    background: white !important;
    color: #161925;
}
/* Wishlist page end*/

.woocommerce button.button{color: #fff;}
input.form-control {
    border-radius: 6px;
    padding: 13px 12px;
    font-size: 15px;
}
#texas_signup{
    padding: 2em;
    border: 1px solid #ccc;
}
.my-account-sidebar-widget {
    border-style: solid;
    padding: 20px;
}

div#block-5, div#block-6 {
    display: none;
}

span.ui-slider-handle.ui-corner-all.ui-state-default {
    background-color: #222F63 !important;
}

/* Sidebar wishlist section */
ul.wishlist-items {
    margin-bottom: 5%;
}

button#clear_wishlist_texas {
    background-color: white;
    color: #1979c3;
    float: right;
    font-size: medium;
    margin-top: 3%;
}

a.button-link.button-style-3:hover {
    background-color: #222F63 !important;
}

/* Sidebar compare section */
button#clear_compare_texas {
    color: #1979c3;
    background-color: white;
    float: right;
    font-size: medium;
    margin-top: 3%;
}

ul.comparelist-items {
    margin-bottom: 5%;
}

/* MyAccount compare sidebar */
.widget_text.my-account-sidebar-widget {
    border: 1px solid #ddd;
    padding: 20px;
    margin-bottom: 20px;
    background-color: #fff;
    border-radius: 7px;
}
h3.my-account-sidebar-title {
    font-size: 18px;
    border-bottom: 1px solid #ddd;
    padding-bottom: 10px;
    margin-bottom: 10px;
}
ul.comparelist-items li:not(:last-child) {
    border-bottom: 1px solid #ddd;
    padding-bottom: 10px;
    margin-bottom: 10px;
}
button#clear_compare_texas {
    float: right;
    background-color: white !important;
    color: #1979c3 !important;
    margin-top: 28px;
    padding: 0px;
}
a.button-link.button-style-3 {
    margin-top: 15px;
    width: 50%;
}
a.button-style-3:hover {
    background-color: #222F63 !important;
}

/* MyAccount wishlist sidebar */
button#clear_wishlist_texas {
    float: right;
    background-color: white !important;
    color: #1979c3 !important;
    margin-top: 28px;
    padding: 0px;
}
ul.wishlist-items li:not(:last-child) {
    border-bottom: 1px solid #ddd;
    padding-bottom: 10px;
    margin-bottom: 10px;
}
ul.comparelist-items li a, ul.wishlist-items li a {
    color: black !important;
}
ul.comparelist-items li a:hover, ul.wishlist-items li a:hover {
    color: #c02334 !important;
}
#wishlist-container ul li a:hover {
    padding-left: 12px !important;
}
#wishlist-container ul li a {
    position: relative;
}
#wishlist-container ul li a:hover:before {
	opacity: 1;
    visibility: visible;
}
#wishlist-container ul li a:before {
	position: absolute;
    content: '';
    left: 0;
    top: 9px;
    width: 4px;
    height: 4px;
    opacity: 0;
    visibility: hidden;
    background-color: var(--zilly-primary-color);
    transition: all 0.21s ease-in-out;
}
h3.my-account-sidebar-title::after {
    content: "";
    position: absolute;
    left: 21.5px;
    width: 40px;
    height: 4px;
    background-color: #c02334 !important;
    margin-top: 44.5px;
    border-radius: 30px;
}
.widget_text.my-account-sidebar-widget {
    overflow: hidden;
}
#delete-account-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}
#delete-account-modal .modal-content {
    background: #fff;
    padding: 20px;
    border-radius: 5px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    width: 60%;
}
.modal-content button {
    margin: 5px;
}
#confirm-delete-account{
    width: 30%;
    margin: auto;
    margin-bottom: 1%;
}
#cancel-delete-account{
    width: 30%;
    margin: auto;
}
.delete-account{
    margin-top: 3%;
}
.rtsb-ui-modal .rtsb-modal-wrapper .rtsb-modal-content .rtsb-modal-close{
    height: 30px;
    width: 30px;
    border-radius: 18px;
}
.rtsb-ui-modal .rtsb-modal-wrapper .rtsb-modal-content .notice-dismiss {
    transform: rotate(40deg);
    font-size: 20px;
}
#rtsb-side-content-area-id .woocommerce-mini-cart__buttons.buttons a:nth-child(2){
    background: #C02334;
    border-color: #C02334;
}
#rtsb-side-content-area-id .woocommerce-mini-cart__buttons.buttons a:nth-child(2):hover{
    background: #222F63;
    border-color: #222F63;
    color: #fff;
}
.rtsb-minicart-drawer .rbsb-button{background: #C02334;}
.rtsb-minicart-drawer .rbsb-button:hover{background: #222F63;padding-left: 30px !important;}
.woocommerce #respond input#submit.alt, .woocommerce #respond input#submit, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce button.button, .woocommerce a.button.alt, .woocommerce input.button, .woocommerce-page a.button, .woocommerce a.button, .mini-cart-footer a.button{color: #fff;}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt.disabled, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt.disabled:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce #respond input#submit:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce button.button:hover, .woocommerce a.button.alt:hover, .woocommerce input.button:hover, .woocommerce-page a.button:hover, .woocommerce a.button:hover, .mini-cart-footer a.button:hover{color: #fff !important;background-color:#222F63}

form.woocommerce-ResetPassword{
    border: 1px solid #cfc8d8;
    padding: 20px;
    margin: 2em 0;
    text-align: left;
    border-radius: 5px;
}
.woocommerce-ResetPassword.lost_reset_password .woocommerce form .form-row-first ,.woocommerce-ResetPassword.lost_reset_password .woocommerce form .form-row-last{
    width: 100%;
}
.woocommerce-form-login__rememberme{
    display: none;
}
#texas_signup .required{
    color: var(--wc-red);
    font-weight: 700;
    border: 0 !important;
    text-decoration: none;
}
#strength-bar{
    width: 100%;
    background-color: var(--zilly-primary-color);
}
.woocommerce-mini-cart.cart_list.product_list_widget.empty-cart .rbsb-button:hover{
    padding-left: 9% !important;
}
.menu-product-category img{
    display: none;
}
.rtsb-myacount-page .woocommerce-MyAccount-navigation ul li a:hover , .rtsb-myacount-page .woocommerce-MyAccount-navigation ul li.is-active a {
    background-color: #222F63 !important;
}
.woocommerce #respond input#submit.alt:focus, .woocommerce #respond input#submit:focus, .woocommerce button.button.alt:focus, .woocommerce input.button.alt:focus, .woocommerce button.button:focus, .woocommerce a.button.alt:focus, .woocommerce-page a.button:focus, .woocommerce input.button:focus, .woocommerce a.button:focus{
    outline: none;
    color: #fff !important;
    border-radius: 30px;
    background-color: #222F63;
}
@media (max-width: 768px) {
    .home.page-template .header-search .header-search-wrap{
        width: 25% !important;
    }
}